Package frc.robot.subsystems.swervedrive2.swervelib.encoders

## Class SwerveAbsoluteEncoder

- java.lang.Object
- - frc.robot.subsystems.swervedrive2.swervelib.encoders.SwerveAbsoluteEncoder

- Direct Known Subclasses:
    `CANCoderSwerve`, `SparkMaxEncoderSwerve`

      public abstract class SwerveAbsoluteEncoder
      extends Object

  Swerve abstraction class to define a standard interface with absolute encoders for swerve modules..

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SwerveAbsoluteEncoder()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract void` | `clearStickyFaults()` | Clear sticky faults on the encoder.
    `abstract void` | `configure​(boolean inverted)` | Configure the absolute encoder to read from [0, 360) per second.
    `abstract void` | `factoryDefault()` | Reset the encoder to factory defaults.
    `abstract Object` | `getAbsoluteEncoder()` | Get the instantiated absolute encoder Object.
    `abstract double` | `getAbsolutePosition()` | Get the absolute position of the encoder.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SwerveAbsoluteEncoder

          public SwerveAbsoluteEncoder()

  - ### Method Detail

    - #### factoryDefault

          public abstract void factoryDefault()

      Reset the encoder to factory defaults.

    - #### clearStickyFaults

          public abstract void clearStickyFaults()

      Clear sticky faults on the encoder.

    - #### configure

          public abstract void configure​(boolean inverted)

      Configure the absolute encoder to read from [0, 360) per second.
      Parameters:
        `inverted` - Whether the encoder is inverted.

    - #### getAbsolutePosition

          public abstract double getAbsolutePosition()

      Get the absolute position of the encoder.
      Returns:
        Absolute position in degrees from [0, 360).

    - #### getAbsoluteEncoder

          public abstract Object getAbsoluteEncoder()

      Get the instantiated absolute encoder Object.
      Returns:
        Absolute encoder object.